import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';
import { d as defineCustomElement$1 } from './telia-vst2.js';

const teliaFieldAssistiveTextCss = ":host{font-family:\"TeliaSans\", Helvetica, Arial, \"Lucida Grande\", sans-serif;font-weight:normal;font-size:calc(1.6rem * var(--voca-rem-multiplier));line-height:1.5;color:rgba(0, 0, 0, 0.6);display:block;padding:calc(0.4rem * var(--voca-rem-multiplier)) 0 0}";

const TeliaFieldAssistiveText = /*@__PURE__*/ proxyCustomElement(class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.__attachShadow();
    /** Tracking id is used to identify and count Component usage */
    this.dataTrackingId = 'telia-field-assistive-text';
  }
  render() {
    return (h(Host, null, h("telia-vst", { dataTrackingId: this.dataTrackingId }), h("slot", null)));
  }
  static get style() { return teliaFieldAssistiveTextCss; }
}, [1, "telia-field-assistive-text"]);
function defineCustomElement() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["telia-field-assistive-text", "telia-vst"];
  components.forEach(tagName => { switch (tagName) {
    case "telia-field-assistive-text":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, TeliaFieldAssistiveText);
      }
      break;
    case "telia-vst":
      if (!customElements.get(tagName)) {
        defineCustomElement$1();
      }
      break;
  } });
}
defineCustomElement();

export { TeliaFieldAssistiveText as T, defineCustomElement as d };
